#Module-Specific definitions
%define mod_version 0.0.3
%define release 1mdk
%define mod_name mod_log_data
%define mod_conf A13_%{mod_name}.conf
%define mod_so %{mod_name}.so
%define sourcename %{mod_name}-%{mod_version}

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildPreReq:	ADVX-build >= 9.2
BuildRequires:	%{ap_name}-devel >= 2.0.44-6mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	Mod_log_data is a DSO module for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source0:	%{sourcename}.tar.bz2
Source1:	%{mod_conf}.bz2
Source2:	README.html.bz2
License:	Apache License
URL:		http://loghttp.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-buildroot
Prereq:		rpm-helper

%description
Mod_log_data is a module for %{ap_name}, dumping the content for
all HTTP/HTTPS request made on the webserver. It can be used for
debugging or for security aim. It's done with two filter, easy to
configure in httpd.conf.

%prep

%setup -q -n %{mod_name}

bzcat %{SOURCE2} > README.html

%build

%{apxs} -c %{mod_name}.c

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%ADVXinstlib
%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc README.html
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*

%changelog
* Wed Nov 05 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.48_0.0.3-1mdk
- built for apache 2.0.48

* Tue Sep 09 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.47_0.0.3-1mdk
- initial cooker contrib
- added S2
